# Uses of Class
org.apache.lucene.analysis.compound.hyphenation.CharVector

Packages that use CharVector
Package
Description
org.apache.lucene.analysis.compound.hyphenation
Hyphenation code for the CompoundWordTokenFilter.

- ## Uses of CharVector in org.apache.lucene.analysis.compound.hyphenation

  Fields in org.apache.lucene.analysis.compound.hyphenation declared as CharVector
  Modifier and Type
  Field
  Description
  `protected CharVector`
  TernaryTree.`kv`
  This vector holds the trailing of the keys when the branch is compressed.
  Methods in org.apache.lucene.analysis.compound.hyphenation that return CharVector
  Modifier and Type
  Method
  Description
  `CharVector`
  CharVector.`clone()`